Mailing List Archive

[xen-unstable] Revert 21641:2e5844e17d6f "xencommons: modprobe xenfs if it not be loaded"
# HG changeset patch
# User Keir Fraser <keir.fraser@citrix.com>
# Date 1277141854 -3600
# Node ID 4892d31a78b1a352ef744da158ec3cb1d29d9344
# Parent be9bf07fc818944fa9ddf8e901ba38dd30ec6150
Revert 21641:2e5844e17d6f "xencommons: modprobe xenfs if it not be loaded"

Nacked by Jeremy Fitzhardinge and Ian Jackson.

Signed-off-by: Keir Fraser <keir.fraser@citrix.com>
---
tools/hotplug/Linux/init.d/xencommons | 21 ++++++++-------------
1 files changed, 8 insertions(+), 13 deletions(-)

diff -r be9bf07fc818 -r 4892d31a78b1 tools/hotplug/Linux/init.d/xencommons
--- a/tools/hotplug/Linux/init.d/xencommons Mon Jun 21 18:36:39 2010 +0100
+++ b/tools/hotplug/Linux/init.d/xencommons Mon Jun 21 18:37:34 2010 +0100
@@ -24,21 +24,16 @@ XENCONSOLED_PIDFILE=/var/run/xenconsoled
XENCONSOLED_PIDFILE=/var/run/xenconsoled.pid
shopt -s extglob

-if test "x$1" = xstart; then
- if ! grep ' xenfs$' /proc/filesystems >/dev/null; then
- test -x /sbin/modprobe && /sbin/modprobe xenfs 2>/dev/null
- fi
- if test -d /proc/xen && \
- ! test -d /proc/xen/capabilities && \
- grep ' xenfs$' /proc/filesystems >/dev/null && \
- ! grep '^xenfs ' /proc/mounts >/dev/null;
- then
- mount -t xenfs xenfs /proc/xen
- fi
+if test "x$1" = xstart && \
+ test -d /proc/xen && \
+ ! test -d /proc/xen/capabilities && \
+ grep ' xenfs$' /proc/filesystems >/dev/null && \
+ ! grep '^xenfs ' /proc/mounts >/dev/null;
+then
+ mount -t xenfs xenfs /proc/xen
fi

-if ! test -e /proc/xen/capabilities || \
- ! grep -q "control_d" /proc/xen/capabilities ; then
+if ! grep -q "control_d" /proc/xen/capabilities ; then
exit 0
fi


_______________________________________________
Xen-changelog mailing list
Xen-changelog@lists.xensource.com
http://lists.xensource.com/xen-changelog